Makes the booking

Things to note:

• Instant/Non-Instant Confirmation:

  • Booking should be instant/non-instant confirmation based on the value of “isInstantConfirm”.
    For non-instant confirmation, please return “BOOKING_PENDING” as the response status.

• Booking Deduplication:

  • Supplier API should accept Agoda booking id as the unique identifier of a booking.
    Supplier should implement booking deduplication on their side by accepting Agoda booking Id as one of the request parameter. When duplicate request was sent, supplier should return a SUCCESS response status indicating the booking already exists.

• Booking Retry

  • Booking failure will not trigger a booking retry by default because in the case of no allotment or price mismatch, there is no point in retrying.
    If a retry is desired, supplier can choose to return BOOKING_TIMEOUT as the responseStatus and 408 as the http code before Agoda times out the booking request. This will trigger the retry on Agoda side. (Note: booking deduplication needs to be implemented correctly to ensure retry does not cause duplicated bookings.)
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

Hotel name. Always optional.

string
required

check in date in yyyy-mm-dd.

string
required

check out date in yyyy-mm-dd. for hourly searches, checkIn == checkOut.

string
required

Agoda booking ID (unique per booking).

string
required

single room code as a string (should be from static content).

string
required

Board Code. Reflects meal plan for this rate. See possible values in "Board Codes" section above. Default is "RO" (Room Only)

string
required

Rate plan code to identify the unique rate plan in partner system. This code will be sent back in the booking request. IMPORTANT! This is not the rate key/token - do not send a value that will expire/change in a short period of time. This should be the rate plan from the search response that the user selected for booking.

int32
required

Channel (see Channels section for possible values). Only a single channel should be returned. required for SUCCESS response, optional otherwise

string
required

ISO currency code - e.g. USD, GBP, EUR. required field.

int32
required
double
required

Total Booking Price for the given the board code and room type

guest
object
required

Guest information (for the lead guest)

guestCount
object
required

Information on number of Guests. Object containing no. of adults, and list of child ages.

benefits
array of int32s

List of benefits provided with the rate. (see codes section for possible values). Note: Unsupported benefit codes will be filtered away in the search flow. Always optional.

benefits
string

Special Request from Customer

selectedHourlySlot
object
string

Metadata such as search response token/logid. Entries here will be send back in the precheck request

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain